# PhasicFlow: IncludeMask< T, allOp< T > > Class Template Reference
PhasicFlow is an open-source parallel DEM (discrete element method) package for simulating granular flow. It is developed in C++ and can be exectued on both GPU (like CUDA) and CPU.

IncludeMask< T, allOp< T > > Class Template Reference
Inheritance diagram for IncludeMask< T, allOp< T > >:
[legend]
Collaboration diagram for IncludeMask< T, allOp< T > >:
[legend]

## Public Member Functions

| TypeInfoTemplate12 ("IncludeMask", T, allOp< int8 >)
| IncludeMask (const dictionary &dict, const word &opType, readFromTimeFolder &timeFolder)
| add_vCtor (includeMask, IncludeMask, dictionary)
bool | isIncluded (int32 n) const override
uint32 | size () const override
Public Member Functions inherited from includeMask
| TypeInfo ("includeMask")
| includeMask (const dictionary &dict, const word &opType, readFromTimeFolder &timeFolder)
virtual | ~includeMask ()=default
| create_vCtor (includeMask, dictionary,(const dictionary &dict, const word &opType, readFromTimeFolder &timeFolder),(dict, opType, timeFolder))
word | fieldName () const
word | fieldType () const
word | operatorType () const
auto & | timeFolder ()
bool | operator() (int32 n) const

## Additional Inherited Members

Static Public Member Functions inherited from includeMask
static uniquePtr< includeMask > | create (const dictionary &dict, const word &opType, readFromTimeFolder &timeFolder)
Static Protected Member Functions inherited from includeMask
static bool | getFieldType (const dictionary &dict, readFromTimeFolder &timeFolder, word &fName, word &fType)
Protected Attributes inherited from includeMask
word | fieldName_
word | fieldType_
word | operatorType_
readFromTimeFolder & | timeFolder_

## Detailed Description

### template<typename T>
class pFlow::IncludeMask< T, allOp< T > >

Definition at line 227 of file IncludeMask.hpp.

## Constructor & Destructor Documentation

## IncludeMask()

IncludeMask | ( | const dictionary & | dict,
|  | const word & | opType,
|  | readFromTimeFolder & | timeFolder
| ) |  |

inline

Definition at line 234 of file IncludeMask.hpp.

## Member Function Documentation

## TypeInfoTemplate12()

TypeInfoTemplate12 | ( | "IncludeMask< T, allOp< T > >" | ,
|  | T | ,
|  | allOp< int8 > |
| ) |  |

## add_vCtor()

add_vCtor | ( | includeMask | ,
|  | IncludeMask< T, allOp< T > > | ,
|  | dictionary |
| ) |  |

## isIncluded()

bool isIncluded | ( | int32 | n | ) | const

inlineoverridevirtual

Implements includeMask.

Definition at line 247 of file IncludeMask.hpp.

## size()

uint32 size | ( |  | ) | const

inlineoverridevirtual

Implements includeMask.

Definition at line 252 of file IncludeMask.hpp.

The documentation for this class was generated from the following file:

- utilities/postprocessPhasicFlow/IncludeMask.hpp